---
title: ':lang()'
slug: 'Web/CSS/:lang'
tags:
  - CSS
  - Layout
  - Pseudo-class
  - Reference
  - Selector
  - Web
---
<div>{{CSSRef}}</div>

<p>The <strong><code>:lang()</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a> matches elements based on the language they are determined to be in.</p>

<pre class="brush: css no-line-numbers notranslate">/* Selects any &lt;p&gt; in English (en) */
p:lang(en) {
  quotes: '\201C' '\201D' '\2018' '\2019';
}</pre>

<div class="note">
<p><strong>Note:</strong> In HTML, the language is determined by a combination of the {{htmlattrxref("lang")}} attribute, the {{HTMLElement("meta")}} element, and possibly by information from the protocol (such as HTTP headers). For other document types there may be other document methods for determining the language.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<h3 id="Formal_syntax">Formal syntax</h3>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h3 id="Parameter">Parameter</h3>

<dl>
 <dt><code>&lt;language-code&gt;</code></dt>
 <dd>A {{cssxref("&lt;string&gt;")}} representing the language you want to target. Acceptable values are specified in the <a href="/en-US/docs/Web/HTML">HTML</a> spec.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>In this example, the <code>:lang()</code> pseudo-class is used to match the parents of quote elements ({{htmlElement("q")}}) using <a href="/en-US/docs/Web/CSS/Child_selectors">child combinators</a>. Note that this doesn't illustrate the only way to do this, and that the best method to use depends on the type of document. Also note that {{glossary("Unicode")}} values are used to specify some of the special quote characters.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;div lang="en"&gt;&lt;q&gt;This English quote has a &lt;q&gt;nested&lt;/q&gt; quote inside.&lt;/q&gt;&lt;/div&gt;
&lt;div lang="fr"&gt;&lt;q&gt;This French quote has a &lt;q&gt;nested&lt;/q&gt; quote inside.&lt;/q&gt;&lt;/div&gt;
&lt;div lang="de"&gt;&lt;q&gt;This German quote has a &lt;q&gt;nested&lt;/q&gt; quote inside.&lt;/q&gt;&lt;/div&gt;
</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">:lang(en) &gt; q { quotes: '\201C' '\201D' '\2018' '\2019'; }
:lang(fr) &gt; q { quotes: '« ' ' »'; }
:lang(de) &gt; q { quotes: '»' '«' '\2039' '\203A'; }
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample('Examples', 350)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Selectors', '#lang-pseudo', ':lang()')}}</td>
   <td>{{Spec2('CSS4 Selectors')}}</td>
   <td>Adds wildcard language matching and comma-separated list of languages.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Selectors', '#lang-pseudo', ':lang()')}}</td>
   <td>{{Spec2('CSS3 Selectors')}}</td>
   <td>No significant change.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'selector.html#lang', ':lang()')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.selectors.lang")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>Language-related pseudo-classes: {{cssxref(":lang")}}, {{cssxref(":dir")}}</li>
 <li>HTML {{htmlattrxref("lang")}} attribute</li>
 <li>HTML {{htmlattrxref("translate")}} attribute</li>
 <li><a class="external" href="https://tools.ietf.org/html/bcp47">BCP 47 - Tags for Identifying Languages</a></li>
</ul>
